<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:45 CET 2016 -->
<title>ShipmentOutData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShipmentOutData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutLineData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" target="_top">Frames</a></li>
<li><a href="ShipmentOutData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment</div>
<h2 title="Class ShipmentOutData.Builder" class="title">Class ShipmentOutData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment.ShipmentOutData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ShipmentOutData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#accountingDate-java.lang.String-">accountingDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountingDate value
 
 Description: The date this transaction is recorded for in the general ledger.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#activity-java.lang.String-">activity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the activity value
 
 Description: A distinct activity defined and used in activity based management.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">businessPartner</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#charge-java.lang.String-">charge</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the charge value
 
 Description: A cost or expense incurred during business activity.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#chargeAmount-java.lang.String-">chargeAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the chargeAmount value
 
 Description: The amount of a cost or expense incurred during business activity.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#deliveryMethod-java.lang.String-">deliveryMethod</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the deliveryMethod value
 
 Description: The desired means of getting requested goods to a business partner.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#deliveryTerms-java.lang.String-">deliveryTerms</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the deliveryTerms value
 
 Description: A definition stating when a specific delivery will occur.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#documentNo-java.lang.String-">documentNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the documentNo value
 
 Description: An often automatically generated identifier for all documents.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#documentStatus-java.lang.String-">documentStatus</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the documentStatus value
 
 Description: The Document Status indicates the status of a document at this time.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#documentType-java.lang.String-">documentType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the documentType value
 
 Description: A value defining what sequence and process setup are used to handle this
 document.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#firstDimension-java.lang.String-">firstDimension</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the 1stDimension value
 
 Description: A display of optional elements that are previously defined for this account
 combination.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#freightAmount-java.lang.String-">freightAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the freightAmount value
 
 Description: The charge amount for a specified shipment.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#freightCostRule-java.lang.String-">freightCostRule</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the freightCostRule value
 
 Description: The calculation method used when charging freight.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#movementDate-java.lang.String-">movementDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the movementDate value
 
 Description: The date that a certain item is moved from one location to another.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#movementType-java.lang.String-">movementType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the movementType value
 
 Description: The type of a certain item being moved from one location to another.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#numberOfPackages-java.lang.String-">numberOfPackages</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the numberOfPackages value
 
 Description: The number of packages being shipped.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#orderDate-java.lang.String-">orderDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the orderDate value
 
 Description: The time listed on the order.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#orderReference-java.lang.String-">orderReference</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the orderReference value
 
 Description: A reference or document order number as listed in business partner application.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#partnerAddress-java.lang.String-">partnerAddress</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#pickDate-java.lang.String-">pickDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the pickDate value
 
 Description: Date/Time when picked for Shipment</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#priority-java.lang.String-">priority</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the priority value
 
 Description: A defined level of importance or precedence.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#project-com.openbravo.test.integration.erp.data.selectors.ProjectSelectorData-">project</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProjectSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProjectSelectorData</a>&nbsp;value)</code>
<div class="block">Set the project value
 
 Description: Identifier of a project defined within the Project Service Management module.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#salesCampaign-java.lang.String-">salesCampaign</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesCampaign value
 
 Description: An advertising effort aimed at increasing sales.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#salesOrder-java.lang.String-">salesOrder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesOrder value
 
 Description: A unique and often automatically generated identifier for a sales order.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#salesRepresentative-java.lang.String-">salesRepresentative</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesRepresentative value
 
 Description: The person in charge of a document.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#secondDimension-java.lang.String-">secondDimension</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the 2ndDimension value
 
 Description: A display of optional elements that are previously defined for this account
 combination.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#shipDate-java.lang.String-">shipDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the shipDate value
 
 Description: Shipment Date/Time</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#shippingCompany-java.lang.String-">shippingCompany</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the shippingCompany value
 
 Description: The name of the company making the shipment.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#trackingNo-java.lang.String-">trackingNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the trackingNo value
 
 Description: Number to track the shipment</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#trxOrganization-java.lang.String-">trxOrganization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the trxOrganization value
 
 Description: The organization which performs or initiates the transaction.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#userContact-java.lang.String-">userContact</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html#warehouse-java.lang.String-">warehouse</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the warehouse value
 
 Description: The location where products arrive to or are sent from.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="project-com.openbravo.test.integration.erp.data.selectors.ProjectSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;project(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/ProjectSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">ProjectSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the project value
 
 Description: Identifier of a project defined within the Project Service Management module.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The project value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="firstDimension-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>firstDimension</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;firstDimension(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the 1stDimension value
 
 Description: A display of optional elements that are previously defined for this account
 combination.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The 1stDimension value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="secondDimension-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>secondDimension</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;secondDimension(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the 2ndDimension value
 
 Description: A display of optional elements that are previously defined for this account
 combination.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The 2ndDimension value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesCampaign-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesCampaign</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;salesCampaign(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesCampaign value
 
 Description: An advertising effort aimed at increasing sales.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesCampaign value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="activity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;activity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the activity value
 
 Description: A distinct activity defined and used in activity based management.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The activity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="trxOrganization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trxOrganization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;trxOrganization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the trxOrganization value
 
 Description: The organization which performs or initiates the transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The trxOrganization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="numberOfPackages-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numberOfPackages</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;numberOfPackages(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the numberOfPackages value
 
 Description: The number of packages being shipped.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The numberOfPackages value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="trackingNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trackingNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;trackingNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the trackingNo value
 
 Description: Number to track the shipment</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The trackingNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="pickDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pickDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;pickDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the pickDate value
 
 Description: Date/Time when picked for Shipment</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The pickDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="shipDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shipDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;shipDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the shipDate value
 
 Description: Shipment Date/Time</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The shipDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesRepresentative-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesRepresentative</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;salesRepresentative(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesRepresentative value
 
 Description: The person in charge of a document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesRepresentative value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="charge-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>charge</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;charge(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the charge value
 
 Description: A cost or expense incurred during business activity.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The charge value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="chargeAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chargeAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;chargeAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the chargeAmount value
 
 Description: The amount of a cost or expense incurred during business activity.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The chargeAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;businessPartner(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="documentType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documentType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;documentType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the documentType value
 
 Description: A value defining what sequence and process setup are used to handle this
 document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The documentType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="documentStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documentStatus</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;documentStatus(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the documentStatus value
 
 Description: The Document Status indicates the status of a document at this time.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The documentStatus value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="freightCostRule-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>freightCostRule</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;freightCostRule(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the freightCostRule value
 
 Description: The calculation method used when charging freight.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The freightCostRule value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="priority-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>priority</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;priority(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the priority value
 
 Description: A defined level of importance or precedence.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The priority value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="orderDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;orderDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the orderDate value
 
 Description: The time listed on the order.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The orderDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="warehouse-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warehouse</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;warehouse(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the warehouse value
 
 Description: The location where products arrive to or are sent from.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The warehouse value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="shippingCompany-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shippingCompany</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;shippingCompany(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the shippingCompany value
 
 Description: The name of the company making the shipment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The shippingCompany value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="partnerAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partnerAddress</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;partnerAddress(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The partnerAddress value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="userContact-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userContact</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;userContact(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The userContact value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesOrder-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesOrder</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;salesOrder(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesOrder value
 
 Description: A unique and often automatically generated identifier for a sales order.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesOrder value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="orderReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderReference</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;orderReference(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the orderReference value
 
 Description: A reference or document order number as listed in business partner application.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The orderReference value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="freightAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>freightAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;freightAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the freightAmount value
 
 Description: The charge amount for a specified shipment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The freightAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="deliveryMethod-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deliveryMethod</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;deliveryMethod(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the deliveryMethod value
 
 Description: The desired means of getting requested goods to a business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The deliveryMethod value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="deliveryTerms-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deliveryTerms</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;deliveryTerms(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the deliveryTerms value
 
 Description: A definition stating when a specific delivery will occur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The deliveryTerms value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountingDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountingDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;accountingDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountingDate value
 
 Description: The date this transaction is recorded for in the general ledger.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountingDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="documentNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documentNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;documentNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the documentNo value
 
 Description: An often automatically generated identifier for all documents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The documentNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="movementDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movementDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;movementDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the movementDate value
 
 Description: The date that a certain item is moved from one location to another.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The movementDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="movementType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movementType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData.Builder</a>&nbsp;movementType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the movementType value
 
 Description: The type of a certain item being moved from one location to another.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The movementType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment">ShipmentOutData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutLineData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.outgoingshipment"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/warehouse/transactions/outgoingshipment/ShipmentOutData.Builder.html" target="_top">Frames</a></li>
<li><a href="ShipmentOutData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
